{
  "name": "fpga-weblab",
  "version": "0.1.0",
  "private": true,
  "type": "module",
  "scripts": {
    "dev": "vite --host",
    "build": "run-p type-check \"build-only {@}\" --",
    "preview": "vite preview",
    "build-only": "vite build",
    "type-check": "vue-tsc --build",
    "pregen-api": "cd server && dotnet run --property:Configuration=Release &",
    "gen-api": "npx nswag openapi2tsclient /input:http://localhost:5000/swagger/v1/swagger.json /output:src/APIClient.ts",
    "postgen-api": "pkill server"
  },
  "dependencies": {
    "@svgdotjs/svg.js": "^3.2.4",
    "@types/lodash": "^4.17.16",
    "async-mutex": "^0.5.0",
    "lodash": "^4.17.21",
    "log-symbols": "^7.0.0",
    "marked": "^12.0.0",
    "mathjs": "^14.4.0",
    "pinia": "^3.0.1",
    "tinypool": "^1.0.2",
    "ts-log": "^2.2.7",
    "ts-results-es": "^5.0.1",
    "vue": "^3.5.13",
    "vue-router": "4",
    "yocto-queue": "^1.2.1",
    "zod": "^3.24.2"
  },
  "devDependencies": {
    "@tailwindcss/postcss": "^4.0.12",
    "@tsconfig/node22": "^22.0.0",
    "@types/node": "^22.13.4",
    "@vitejs/plugin-vue": "^5.2.1",
    "@vitejs/plugin-vue-jsx": "^4.1.1",
    "@vue/tsconfig": "^0.7.0",
    "autoprefixer": "^10.4.20",
    "daisyui": "^5.0.0",
    "npm-run-all2": "^7.0.2",
    "nswag": "^14.3.0",
    "postcss": "^8.5.3",
    "tailwindcss": "^4.0.12",
    "typescript": "~5.7.3",
    "vite": "^6.1.0",
    "vite-plugin-vue-devtools": "^7.7.2",
    "vue-tsc": "^2.2.2"
  }
}
